> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List deliveries for an endpoint

> Returns a paginated list of webhook deliveries for a specific endpoint. Deliveries are retained for 7 days.



## OpenAPI

````yaml /api/specs/webhooks-api.json get /webhooks/v1/webhook-endpoints/{endpointId}/deliveries
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for webhooks service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /webhooks/v1/webhook-endpoints/{endpointId}/deliveries:
    get:
      tags:
        - Webhook Deliveries
      summary: List deliveries for an endpoint
      description: >-
        Returns a paginated list of webhook deliveries for a specific endpoint.
        Deliveries are retained for 7 days.
      parameters:
        - in: path
          name: endpointId
          required: true
          schema:
            type: string
          description: The webhook endpoint ID
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: Maximum number of items to return
        - in: query
          name: startingAfter
          schema:
            type: string
          description: >-
            Cursor for pagination. Pass the ID of the last item from the
            previous page.
        - in: query
          name: status
          schema:
            type: string
            enum:
              - success
              - failed
          description: Filter deliveries by status.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookDeliveryList'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksForbiddenError'
        '404':
          description: Webhook endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksNotFoundError'
        '429':
          description: Rate Limit Exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksRateLimitError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksInternalServerError'
      security:
        - oauth2:
            - read:webhooks
components:
  schemas:
    WebhookDeliveryList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/WebhookDelivery'
        hasMore:
          type: boolean
          description: Whether there are more items available
      required:
        - items
        - hasMore
    WebhooksBadRequestError:
      type: object
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksUnauthorizedError:
      type: object
      properties:
        type:
          type: string
          enum:
            - UNAUTHORIZED
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksForbiddenError:
      type: object
      properties:
        type:
          type: string
          enum:
            - FORBIDDEN
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksNotFoundError:
      type: object
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - NOT_FOUND
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksRateLimitError:
      type: object
      properties:
        message:
          type: string
          example: Rate limit exceeded. Please try again later.
      required:
        - message
    WebhooksInternalServerError:
      type: object
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        message:
          type: string
      required:
        - type
        - message
    WebhookDelivery:
      type: object
      description: A webhook delivery record
      properties:
        id:
          type: string
          description: Unique identifier for the delivery
          example: del_abc123
        networkId:
          type: string
          description: The network (tenant) this delivery belongs to
          example: n_abc123
        endpointId:
          type: string
          description: ID of the endpoint this delivery was sent to
          example: wh_abc123
        eventId:
          type: string
          description: ID of the event being delivered
        eventType:
          $ref: '#/components/schemas/WebhookEventType'
        payload:
          type: object
          description: The event payload that was delivered
          additionalProperties: true
        status:
          $ref: '#/components/schemas/WebhookDeliveryStatus'
        attempts:
          type: array
          items:
            $ref: '#/components/schemas/WebhookDeliveryAttempt'
          description: List of delivery attempts
        createdAt:
          type: string
          format: date-time
          description: When the delivery was created
        lastAttemptAt:
          type: string
          format: date-time
          description: When the last delivery attempt was made
          nullable: true
      required:
        - id
        - networkId
        - endpointId
        - eventId
        - eventType
        - payload
        - status
        - attempts
        - createdAt
    WebhookEventType:
      type: string
      enum:
        - ocpp.message
        - asset.connectivity
      description: The type of event that triggers the webhook
    WebhookDeliveryStatus:
      type: string
      enum:
        - success
        - failed
      description: The status of the webhook delivery
    WebhookDeliveryAttempt:
      type: object
      description: A single delivery attempt
      properties:
        status:
          type: string
          enum:
            - success
            - failed
          description: The result of this attempt
        error:
          type: string
          description: Error message if the attempt failed
          nullable: true
        timestamp:
          type: string
          format: date-time
          description: When the attempt was made
      required:
        - status
        - timestamp
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````